#!/usr/bin/env python
import numpy
import matplotlib.pyplot as plt
import math


def onclick(event):
    global xp,yp,l,txt,mw
    print 'button=%d, x=%d, y=%d, xdata=%f, ydata=%f'%(event.button, event.x,event.y,event.xdata, event.ydata)
    xp=event.xdata
    yp=event.ydata
    if event.button == 2:
      l.remove()
      
      txt.remove()
      rpat=math.sqrt(float(2./5.))
      beta=3200.*100.
      dh=1.0
      np =yp #Python usa el valor de yp como logaritmo, no es necesario elevarlo a la 10 potencia
      mo = 4.0*3.14159*2.7*beta**3*np*dh/(rpat*2.0)
      mw = math.log10(mo)/1.5-10.73      
      
      txt=ax.text(xp+1.5,yp+1.5,'Mw= %3.1f'%(mw),bbox={'facecolor':'yellow', 'alpha':0.9, 'pad':4})
      l=ax.axhline(linewidth=2, color='r',y=yp)
      print mw,mo,np,rpat
      rd2=float(math.log10(np))

      print "Nivel plano es ",np
      print "Nivel elevado a la 10 es ",rd2
      print "Momento sismico es ",mo
      print "Magnitud estimada es ",mw
      g=open("./t1.promedio","w")

      g.write(str(rd2)+"\n")
      g.close()
    fig.canvas.draw()

f=open('prom.asc','r')
amp=[]
a=[]
b=[]
t=[]
for l in f:
  amp.append(l)
y=amp[0].split(' ')
ti=float(y[0])
dt=float(y[1])
np=int(y[2])
print y
print ti,'\n',dt,'\n',np

tp=ti
for i in range(1,np):
  tp=tp+dt
  a.append(float(amp[i]))
  t.append(tp)
f.close()


f=open('promr.asc','r')
ar=[]
rr=[]
tr=[]
for l in f:
  ar.append(l)
yr=amp[0].split(' ')
tir=float(y[0])
dtr=float(y[1])
npr=int(y[2])
print yr
print tir,'\n',dtr,'\n',npr

tpr=tir
for i in range(1,np):
  tpr=tpr+dtr
  rr.append(float(ar[i]))
  tr.append(tpr)
f.close()


yp=10.0
xp=1.0
rpat=float(2./5.)
beta=3200.*100.
dh=1.0
np = yp
mo = 4.0*3.14159*2.7*beta**3*np*dh/(rpat*2.0)
mw = math.log10(mo)/1.5-10.73
#mw=printf(%3.1f) mw1

fig = plt.figure()
ax = fig.add_subplot(111)
ax.grid(True,which="both",ls="-")
ax.set_xlabel("Frecuencia (Hz)")
ax.set_ylabel("Desplazamiento")
ax.set_autoscaley_on(False)
ax.set_xlim([0.1,50])
ax.set_ylim([0.1,10000000000.0])
dx=ax.twiny()
dx.set_xlim([0.1,50])
dx.set_ylim([0.1,10000000000.0])

ax.loglog(t,a,'b')
dx.loglog(tr,rr,'g')
l=ax.axhline(linewidth=2, color='r',y=yp)   
txt=ax.text(xp+1.5,yp+1.5,'Mw= %3.1f'%(mw),bbox={'facecolor':'yellow', 'alpha':0.9, 'pad':4})

rd2=float(math.log10(np))
print "Nivel plano es ",np
print "Nivel elevado a la 10 es ",rd2
print "Momento sismico es ",mo
print "Magnitud estimada es ",mw
g=open("./t1.promedio","w")
g.write(str(rd2)+"\n")
g.close()


cid = fig.canvas.mpl_connect('button_press_event', onclick)

plt.show()

